Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004682TestLinkTest Plan (builds, milestones, test assign)public2011-07-28 12:392012-09-01 20:00
Reporterphidotnet 
Assigned ToJulian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformChrome / MySQLOSWindows VistaOS VersionVista
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004682: Newest version is smaller than Linked version
DescriptionNewest version is smaller than Linked version after copying test case which has many version
Steps To Reproduce1) Create a test case 'My Test' which has 2 VERSIONs
2) Copy the test case to the same suite, new test case is '20110728-20:17:19 My Test'
3) Add '20110728-20:17:19 My Test' to a test plan
4) Select link 'Update Linked Test Case Versions'

Actual result:
The Newest version of '20110728-20:17:19 My Test' is 1

Expected result:
All test cases are up to date, no update is required

Note:
Check the test '20110728-20:17:19 My Test' and see that both versions have the same Created Date
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon Newest version is smaller than Linked version.png [^] (12,429 bytes) 2011-07-28 12:39


png file icon Both versions have the same Created Date.png [^] (22,987 bytes) 2011-07-28 12:40

- Relationships
has duplicate 0004402closedJulian bulk update to lates version is not correct in 1.9.2 

-  Notes
(0015566)
Julian (reporter)
2011-07-28 16:39

This is a known issue.
We think that it is related to migration from TL 1.8.
We will switch to 2.0 soon -> we will not act as we could not locate the problem at first sight.

Feel free to contribute if you got a fix.

regards
(0015638)
Julian (reporter)
2011-08-09 15:17

User provided a fix on gitorious:
https://gitorious.org/testlink-ga/testlink-code/merge_requests/2 [^]

Looks uncritic. Any objections ?
(0015643)
phidotnet (reporter)
2011-08-09 16:06

The fix works perfectly in my environment. It saves lots of time by using Bulk Update feature without this problem.
(0015646)
Julian (reporter)
2011-08-10 09:23

Fix applied. I could not see any side-effects on my installation.

Branch 1.9:
https://gitorious.org/testlink-ga/testlink-code/commit/58f64e3ada014d3ed3c31097d61cbe45dba66593 [^]

Master:
https://gitorious.org/testlink-ga/testlink-code/commit/04d034f9da2f04390c628d283362d2795203cf6e [^]
(0017374)
fman (administrator)
2012-09-01 20:00

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-07-28 12:39 phidotnet New Issue
2011-07-28 12:39 phidotnet File Added: Newest version is smaller than Linked version.png
2011-07-28 12:40 phidotnet File Added: Both versions have the same Created Date.png
2011-07-28 16:39 Julian Note Added: 0015566
2011-07-28 16:39 Julian Status new => resolved
2011-07-28 16:39 Julian Resolution open => won't fix
2011-07-28 16:39 Julian Assigned To => Julian
2011-08-09 15:16 Julian Assigned To Julian =>
2011-08-09 15:16 Julian Status resolved => assigned
2011-08-09 15:16 Julian Resolution won't fix => reopened
2011-08-09 15:17 Julian Note Added: 0015638
2011-08-09 16:06 phidotnet Note Added: 0015643
2011-08-10 09:23 Julian Note Added: 0015646
2011-08-10 09:23 Julian Status assigned => resolved
2011-08-10 09:23 Julian Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2011-08-10 09:23 Julian Resolution reopened => fixed
2011-08-10 09:23 Julian Assigned To => Julian
2011-08-11 10:16 Julian Relationship added has duplicate 0004402
2012-09-01 20:00 fman Note Added: 0017374
2012-09-01 20:00 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker